### YamlMime:ManagedReference
items:
- uid: adas_core.Domain.Models.MongoModels.Camera
  commentId: T:adas_core.Domain.Models.MongoModels.Camera
  id: Camera
  parent: adas_core.Domain.Models.MongoModels
  children:
  - adas_core.Domain.Models.MongoModels.Camera.Driver
  - adas_core.Domain.Models.MongoModels.Camera.Id
  - adas_core.Domain.Models.MongoModels.Camera.InUse
  - adas_core.Domain.Models.MongoModels.Camera.Ip
  - adas_core.Domain.Models.MongoModels.Camera.Name
  - adas_core.Domain.Models.MongoModels.Camera.Password
  - adas_core.Domain.Models.MongoModels.Camera.Ptz
  - adas_core.Domain.Models.MongoModels.Camera.Streams
  - adas_core.Domain.Models.MongoModels.Camera.Username
  langs:
  - csharp
  - vb
  name: Camera
  nameWithType: Camera
  fullName: adas_core.Domain.Models.MongoModels.Camera
  type: Class
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Camera
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 7
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  summary: Represents a camera, typically used to capture or render visual content in a scene or application.
  example: []
  syntax:
    content: public class Camera
    content.vb: Public Class Camera
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
  extensionMethods:
  - System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  - System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  - System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
- uid: adas_core.Domain.Models.MongoModels.Camera.Id
  commentId: P:adas_core.Domain.Models.MongoModels.Camera.Id
  id: Id
  parent: adas_core.Domain.Models.MongoModels.Camera
  langs:
  - csharp
  - vb
  name: Id
  nameWithType: Camera.Id
  fullName: adas_core.Domain.Models.MongoModels.Camera.Id
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Id
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 9
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public ObjectId Id { get; set; }
    parameters: []
    return:
      type: MongoDB.Bson.ObjectId
    content.vb: Public Property Id As ObjectId
  overload: adas_core.Domain.Models.MongoModels.Camera.Id*
- uid: adas_core.Domain.Models.MongoModels.Camera.Name
  commentId: P:adas_core.Domain.Models.MongoModels.Camera.Name
  id: Name
  parent: adas_core.Domain.Models.MongoModels.Camera
  langs:
  - csharp
  - vb
  name: Name
  nameWithType: Camera.Name
  fullName: adas_core.Domain.Models.MongoModels.Camera.Name
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Name
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 10
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Name { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Name As String
  overload: adas_core.Domain.Models.MongoModels.Camera.Name*
- uid: adas_core.Domain.Models.MongoModels.Camera.Streams
  commentId: P:adas_core.Domain.Models.MongoModels.Camera.Streams
  id: Streams
  parent: adas_core.Domain.Models.MongoModels.Camera
  langs:
  - csharp
  - vb
  name: Streams
  nameWithType: Camera.Streams
  fullName: adas_core.Domain.Models.MongoModels.Camera.Streams
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Streams
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 12
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public Stream? Streams { get; set; }
    parameters: []
    return:
      type: adas_core.Domain.Models.MongoModels.Stream
    content.vb: Public Property Streams As Stream
  overload: adas_core.Domain.Models.MongoModels.Camera.Streams*
- uid: adas_core.Domain.Models.MongoModels.Camera.Ptz
  commentId: P:adas_core.Domain.Models.MongoModels.Camera.Ptz
  id: Ptz
  parent: adas_core.Domain.Models.MongoModels.Camera
  langs:
  - csharp
  - vb
  name: Ptz
  nameWithType: Camera.Ptz
  fullName: adas_core.Domain.Models.MongoModels.Camera.Ptz
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Ptz
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 14
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public bool Ptz { get; set; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property Ptz As Boolean
  overload: adas_core.Domain.Models.MongoModels.Camera.Ptz*
- uid: adas_core.Domain.Models.MongoModels.Camera.Driver
  commentId: P:adas_core.Domain.Models.MongoModels.Camera.Driver
  id: Driver
  parent: adas_core.Domain.Models.MongoModels.Camera
  langs:
  - csharp
  - vb
  name: Driver
  nameWithType: Camera.Driver
  fullName: adas_core.Domain.Models.MongoModels.Camera.Driver
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Driver
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 16
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Driver { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Driver As String
  overload: adas_core.Domain.Models.MongoModels.Camera.Driver*
- uid: adas_core.Domain.Models.MongoModels.Camera.Ip
  commentId: P:adas_core.Domain.Models.MongoModels.Camera.Ip
  id: Ip
  parent: adas_core.Domain.Models.MongoModels.Camera
  langs:
  - csharp
  - vb
  name: Ip
  nameWithType: Camera.Ip
  fullName: adas_core.Domain.Models.MongoModels.Camera.Ip
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Ip
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 18
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Ip { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Ip As String
  overload: adas_core.Domain.Models.MongoModels.Camera.Ip*
- uid: adas_core.Domain.Models.MongoModels.Camera.Username
  commentId: P:adas_core.Domain.Models.MongoModels.Camera.Username
  id: Username
  parent: adas_core.Domain.Models.MongoModels.Camera
  langs:
  - csharp
  - vb
  name: Username
  nameWithType: Camera.Username
  fullName: adas_core.Domain.Models.MongoModels.Camera.Username
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Username
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 20
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Username { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Username As String
  overload: adas_core.Domain.Models.MongoModels.Camera.Username*
- uid: adas_core.Domain.Models.MongoModels.Camera.Password
  commentId: P:adas_core.Domain.Models.MongoModels.Camera.Password
  id: Password
  parent: adas_core.Domain.Models.MongoModels.Camera
  langs:
  - csharp
  - vb
  name: Password
  nameWithType: Camera.Password
  fullName: adas_core.Domain.Models.MongoModels.Camera.Password
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: Password
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 22
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public string? Password { get; set; }
    parameters: []
    return:
      type: System.String
    content.vb: Public Property Password As String
  overload: adas_core.Domain.Models.MongoModels.Camera.Password*
- uid: adas_core.Domain.Models.MongoModels.Camera.InUse
  commentId: P:adas_core.Domain.Models.MongoModels.Camera.InUse
  id: InUse
  parent: adas_core.Domain.Models.MongoModels.Camera
  langs:
  - csharp
  - vb
  name: InUse
  nameWithType: Camera.InUse
  fullName: adas_core.Domain.Models.MongoModels.Camera.InUse
  type: Property
  source:
    remote:
      path: adas-core.Domain/Models/MongoModels/Camera.cs
      branch: document/release/1.0.1
      repo: https://git.teralevel.io/adas/adas-core.git
    id: InUse
    path: ../../adas-core.Domain/Models/MongoModels/Camera.cs
    startLine: 23
  assemblies:
  - adas-core.Domain
  namespace: adas_core.Domain.Models.MongoModels
  syntax:
    content: public bool InUse { get; }
    parameters: []
    return:
      type: System.Boolean
    content.vb: Public Property InUse As Boolean
  overload: adas_core.Domain.Models.MongoModels.Camera.InUse*
references:
- uid: adas_core.Domain.Models.MongoModels
  commentId: N:adas_core.Domain.Models.MongoModels
  href: adas_core.html
  name: adas_core.Domain.Models.MongoModels
  nameWithType: adas_core.Domain.Models.MongoModels
  fullName: adas_core.Domain.Models.MongoModels
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.MongoModels
    name: MongoModels
    href: adas_core.Domain.Models.MongoModels.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Models
    name: Models
    href: adas_core.Domain.Models.html
  - name: .
  - uid: adas_core.Domain.Models.MongoModels
    name: MongoModels
    href: adas_core.Domain.Models.MongoModels.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.IsNumber
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.NumberUtils.ToDouble
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  parent: adas_core.Domain.Utils.NumberUtils
  definition: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.adas_core.Domain.Utils.ObjectUtils.ToStr
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  parent: adas_core.Domain.Utils.ObjectUtils
  definition: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  name: IsNumber(object)
  nameWithType: NumberUtils.IsNumber(object)
  fullName: adas_core.Domain.Utils.NumberUtils.IsNumber(object)
  nameWithType.vb: NumberUtils.IsNumber(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.IsNumber(Object)
  name.vb: IsNumber(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.IsNumber(System.Object)
    name: IsNumber
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_IsNumber_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.NumberUtils
  commentId: T:adas_core.Domain.Utils.NumberUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.NumberUtils.html
  name: NumberUtils
  nameWithType: NumberUtils
  fullName: adas_core.Domain.Utils.NumberUtils
- uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  commentId: M:adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  name: ToDouble(object)
  nameWithType: NumberUtils.ToDouble(object)
  fullName: adas_core.Domain.Utils.NumberUtils.ToDouble(object)
  nameWithType.vb: NumberUtils.ToDouble(Object)
  fullName.vb: adas_core.Domain.Utils.NumberUtils.ToDouble(Object)
  name.vb: ToDouble(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.NumberUtils.ToDouble(System.Object)
    name: ToDouble
    href: adas_core.Domain.Utils.NumberUtils.html#adas_core_Domain_Utils_NumberUtils_ToDouble_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  commentId: M:adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
  isExternal: true
  href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  name: ToStr(object)
  nameWithType: ObjectUtils.ToStr(object)
  fullName: adas_core.Domain.Utils.ObjectUtils.ToStr(object)
  nameWithType.vb: ObjectUtils.ToStr(Object)
  fullName.vb: adas_core.Domain.Utils.ObjectUtils.ToStr(Object)
  name.vb: ToStr(Object)
  spec.csharp:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: adas_core.Domain.Utils.ObjectUtils.ToStr(System.Object)
    name: ToStr
    href: adas_core.Domain.Utils.ObjectUtils.html#adas_core_Domain_Utils_ObjectUtils_ToStr_System_Object_
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: adas_core.Domain.Utils.ObjectUtils
  commentId: T:adas_core.Domain.Utils.ObjectUtils
  parent: adas_core.Domain.Utils
  href: adas_core.Domain.Utils.ObjectUtils.html
  name: ObjectUtils
  nameWithType: ObjectUtils
  fullName: adas_core.Domain.Utils.ObjectUtils
- uid: adas_core.Domain.Utils
  commentId: N:adas_core.Domain.Utils
  href: adas_core.html
  name: adas_core.Domain.Utils
  nameWithType: adas_core.Domain.Utils
  fullName: adas_core.Domain.Utils
  spec.csharp:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
  spec.vb:
  - uid: adas_core
    name: adas_core
    href: adas_core.html
  - name: .
  - uid: adas_core.Domain
    name: Domain
    href: adas_core.Domain.html
  - name: .
  - uid: adas_core.Domain.Utils
    name: Utils
    href: adas_core.Domain.Utils.html
- uid: adas_core.Domain.Models.MongoModels.Camera.Id*
  commentId: Overload:adas_core.Domain.Models.MongoModels.Camera.Id
  href: adas_core.Domain.Models.MongoModels.Camera.html#adas_core_Domain_Models_MongoModels_Camera_Id
  name: Id
  nameWithType: Camera.Id
  fullName: adas_core.Domain.Models.MongoModels.Camera.Id
- uid: MongoDB.Bson.ObjectId
  commentId: T:MongoDB.Bson.ObjectId
  parent: MongoDB.Bson
  isExternal: true
  name: ObjectId
  nameWithType: ObjectId
  fullName: MongoDB.Bson.ObjectId
- uid: MongoDB.Bson
  commentId: N:MongoDB.Bson
  isExternal: true
  name: MongoDB.Bson
  nameWithType: MongoDB.Bson
  fullName: MongoDB.Bson
  spec.csharp:
  - uid: MongoDB
    name: MongoDB
    isExternal: true
  - name: .
  - uid: MongoDB.Bson
    name: Bson
    isExternal: true
  spec.vb:
  - uid: MongoDB
    name: MongoDB
    isExternal: true
  - name: .
  - uid: MongoDB.Bson
    name: Bson
    isExternal: true
- uid: adas_core.Domain.Models.MongoModels.Camera.Name*
  commentId: Overload:adas_core.Domain.Models.MongoModels.Camera.Name
  href: adas_core.Domain.Models.MongoModels.Camera.html#adas_core_Domain_Models_MongoModels_Camera_Name
  name: Name
  nameWithType: Camera.Name
  fullName: adas_core.Domain.Models.MongoModels.Camera.Name
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: adas_core.Domain.Models.MongoModels.Camera.Streams*
  commentId: Overload:adas_core.Domain.Models.MongoModels.Camera.Streams
  href: adas_core.Domain.Models.MongoModels.Camera.html#adas_core_Domain_Models_MongoModels_Camera_Streams
  name: Streams
  nameWithType: Camera.Streams
  fullName: adas_core.Domain.Models.MongoModels.Camera.Streams
- uid: adas_core.Domain.Models.MongoModels.Stream
  commentId: T:adas_core.Domain.Models.MongoModels.Stream
  parent: adas_core.Domain.Models.MongoModels
  href: adas_core.Domain.Models.MongoModels.Stream.html
  name: Stream
  nameWithType: Stream
  fullName: adas_core.Domain.Models.MongoModels.Stream
- uid: adas_core.Domain.Models.MongoModels.Camera.Ptz*
  commentId: Overload:adas_core.Domain.Models.MongoModels.Camera.Ptz
  href: adas_core.Domain.Models.MongoModels.Camera.html#adas_core_Domain_Models_MongoModels_Camera_Ptz
  name: Ptz
  nameWithType: Camera.Ptz
  fullName: adas_core.Domain.Models.MongoModels.Camera.Ptz
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: adas_core.Domain.Models.MongoModels.Camera.Driver*
  commentId: Overload:adas_core.Domain.Models.MongoModels.Camera.Driver
  href: adas_core.Domain.Models.MongoModels.Camera.html#adas_core_Domain_Models_MongoModels_Camera_Driver
  name: Driver
  nameWithType: Camera.Driver
  fullName: adas_core.Domain.Models.MongoModels.Camera.Driver
- uid: adas_core.Domain.Models.MongoModels.Camera.Ip*
  commentId: Overload:adas_core.Domain.Models.MongoModels.Camera.Ip
  href: adas_core.Domain.Models.MongoModels.Camera.html#adas_core_Domain_Models_MongoModels_Camera_Ip
  name: Ip
  nameWithType: Camera.Ip
  fullName: adas_core.Domain.Models.MongoModels.Camera.Ip
- uid: adas_core.Domain.Models.MongoModels.Camera.Username*
  commentId: Overload:adas_core.Domain.Models.MongoModels.Camera.Username
  href: adas_core.Domain.Models.MongoModels.Camera.html#adas_core_Domain_Models_MongoModels_Camera_Username
  name: Username
  nameWithType: Camera.Username
  fullName: adas_core.Domain.Models.MongoModels.Camera.Username
- uid: adas_core.Domain.Models.MongoModels.Camera.Password*
  commentId: Overload:adas_core.Domain.Models.MongoModels.Camera.Password
  href: adas_core.Domain.Models.MongoModels.Camera.html#adas_core_Domain_Models_MongoModels_Camera_Password
  name: Password
  nameWithType: Camera.Password
  fullName: adas_core.Domain.Models.MongoModels.Camera.Password
- uid: adas_core.Domain.Models.MongoModels.Camera.InUse*
  commentId: Overload:adas_core.Domain.Models.MongoModels.Camera.InUse
  href: adas_core.Domain.Models.MongoModels.Camera.html#adas_core_Domain_Models_MongoModels_Camera_InUse
  name: InUse
  nameWithType: Camera.InUse
  fullName: adas_core.Domain.Models.MongoModels.Camera.InUse
